List holds
The newest first, 200 at most, with the settings. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
holds
List holds
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/holds \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/holds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/holds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"person_id": "<string>",
"placed_at": "2023-11-07T05:31:56Z",
"status": "active",
"previous_status": "<string>",
"animal_name": "<string>",
"person_name": "<string>",
"application_id": "<string>",
"placed_by_person_id": "<string>",
"placed_by_name": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"deposit_id": "<string>",
"deposit_cents": 123,
"deposit_state": "waiting",
"ended_at": "2023-11-07T05:31:56Z",
"end_note": "<string>",
"told_at": "2023-11-07T05:31:56Z"
}
],
"settings": {
"hold_hours": 1080,
"fee_cents": 1,
"fee_on_adoption": "credit"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
List holds
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/holds \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/holds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/holds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"person_id": "<string>",
"placed_at": "2023-11-07T05:31:56Z",
"status": "active",
"previous_status": "<string>",
"animal_name": "<string>",
"person_name": "<string>",
"application_id": "<string>",
"placed_by_person_id": "<string>",
"placed_by_name": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"deposit_id": "<string>",
"deposit_cents": 123,
"deposit_state": "waiting",
"ended_at": "2023-11-07T05:31:56Z",
"end_note": "<string>",
"told_at": "2023-11-07T05:31:56Z"
}
],
"settings": {
"hold_hours": 1080,
"fee_cents": 1,
"fee_on_adoption": "credit"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
